U++ - Bug #537
StdLogSetup() does not consider LOG_APPEND
10/11/2013 02:31 PM - IfAaki Zabala

Status: Approved Start date: 10/11/2013
Priority: High Due date:

Assignee: Miroslav Fidler % Done: 0%
Category: Core Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

StdLogSetup() does not consider LOG_APPEND so every time this sample is run, log file is deleted.

CONSOLE_APP_MAIN

{
StdLogSetup(LOG_FILE | LOG_APPEND, "Demo.txt");
RLOG("Dema");

The problem could be in void LogOut::Create(bool append). Please see the commments:

void LogOut::Create(bool append)

{
Close();

char next[512];
for(int rot = options >> 24; rot >= 0; rot--) { // Now rot == options >> 24
char current[512];
if(rot == 0)
strcpy(current, filepath);
else
sprintf(current, rot > 1 && (options & LOG_ROTATE_GZIP) ? "%s.%d.gzip" : "%s.%d",
filepath, rot);
if(FileExists(current)) {
if(rot == (options >> 24)) // As rot == options >> 24, older log file is deleted
FileDelete(current);

History

#1 - 11/21/2013 08:26 AM - Miroslav Fidler
- Priority changed from Normal to High

#2 - 12/19/2013 03:15 PM - Miroslav Fidler
- Status changed from New to Approved
